﻿using System.Collections.Generic;

namespace CSharpExample.Lists
{
    public class AllLists
    {

        public List<ListItemValue> this[string fieldName]
        {
            get
            {
                if (fieldName == "ExCode")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "M", Value = "ОАО Московская биржа"},
                            new ListItemValue {Key = "S", Value = "ЗАО Фондовая биржа ММВБ"},
                        };
                }
                else if (fieldName == "Type")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "S", Value = "Продажа"},
                            new ListItemValue {Key = "P", Value = "Покупка"},
                        };
                }
                else if (fieldName == "InName")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "P", Value = "От своего имени"},
                            new ListItemValue {Key = "A", Value = "От имени клиента"},
                        };
                }
                else if (fieldName == "OnAccount")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "A", Value = "За счет клиента"},
                            new ListItemValue {Key = "P", Value = "За свой счет"},
                            new ListItemValue {Key = "T", Value = "За счет средств в доверительном управлении"},
                        };
                }
                else if (fieldName == "Currency")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "RUR", Value = "RUR"},
                            new ListItemValue {Key = "EUR", Value = "EUR"},
                            new ListItemValue {Key = "PCT", Value = "PCT"},
                            new ListItemValue {Key = "USD", Value = "USD"},
                        };
                }
                else if (fieldName == "SettlCurrency")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "RUR", Value = "RUR"},
                            new ListItemValue {Key = "EUR", Value = "EUR"},
                            new ListItemValue {Key = "USD", Value = "USD"},
                        };
                }
                else if (fieldName == "Block")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "0", Value = "кол-во цб составляет менее 5% одного вида цб эмитента"},
                            new ListItemValue {Key = "1", Value = "кол-во цб составляет 5 и более % одного вида цб эмитента"},
                        };
                }
                else if (fieldName == "Settle")
                {
                    return new List<ListItemValue>
                        {
                            new ListItemValue {Key = "1", Value = "<6 календ. дней с даты заключения"},
                            new ListItemValue {Key = "2", Value = "6...30 календ. дней с даты заключения"},
                            new ListItemValue {Key = "3", Value = ">30 календ. дней с даты заключения"},
                        };
                }
                else
                    return new List<ListItemValue>();
            }
        }
    }
}