﻿namespace CSharpExample.Lists
{
    public class ListItemValue
    {
        public string Key { get; set; }
        public string Value { get; set; }

        public override bool Equals(object obj)
        {
            var item = obj as ListItemValue;
            if (item != null)
                return item.Key.Equals(Key);
            return false;
        }

        public override int GetHashCode()
        {
            return Key.GetHashCode();
        }

    }
}